Добрый день. Возможно ли установка на AstraLinux SE пакетов программного обеспечения рассчитанных на архитектуру x86? В частности интересует как установить (если это возможно) 1С x86 на AstraLinux SE?

    редакт.

    Лучший ответ

    0

    Да, возможно.

    В составе дистрибутива есть пакеты lib32*. Есть головной пакет ia32-libs, его и нужно ставить.

      Проблема в том, что 1c-enterprise83-client_i386.deb зависит от libwebkitgtk-3.0-0 (>= 1.2.5). Причем libwebkitgtk как я понял нужен i386, а такого в репозиториях AstraLinux нет. Если брать libwebkitgtk из репозитория debian, то он тянет за собой кучу зависимостей : "libwebkitgtk-3.0-0: libwebkitgtk-3.0-0 зависит от libjavascriptcoregtk-3.0-0 (= 1.8.1-3.4). libwebkitgtk-3.0-0 зависит от libatk1.0-0 (>= 1.12.4). libwebkitgtk-3.0-0 зависит от libc6 (>= 2.11), однако: Пакет libc6 не установлен. libwebkitgtk-3.0-0 зависит от libcairo-gobject2 (>= 1.10.0), однако: libwebkitgtk-3.0-0 зависит от libcairo2 (>= 1.10.0), однако: libwebkitgtk-3.0-0 зависит от libdbus-1-3 (>= 1.0.2), однако: libwebkitgtk-3.0-0 зависит от libdbus-glib-1-2 (>= 0.78), однако: libwebkitgtk-3.0-0 зависит от libenchant1c2a (>= 1.6), однако: libwebkitgtk-3.0-0 зависит от libfontconfig1 (>= 2.9.0), однако: libwebkitgtk-3.0-0 зависит от libfreetype6 (>= 2.2.1), однако: libwebkitgtk-3.0-0 зависит от libgail-3-0 (>= 3.0.0), однако:" – p2rv
      Да, проблема. Готового решения у нас нет, поэтому можем предложить собрать необходимые пакеты в рамках платной консультации (http://lab50.net/services/консультирование/). – Администрация
      ×

      выполните вход

      Задан

      Просмотрен

      403 раза

      Ответы

      1 ответ

      Подписано

      1 подписался

      Обсужден